# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
	config.vm.box = "ubuntu/focal64"
	config.vm.hostname = "game02"
	config.vm.network "private_network", ip: "192.168.56.3"
	config.vm.provision "shell", inline: <<-SHELL
		echo "----------------------------------------------------------------"
		sudo apt-get update
		sudo apt-get install ca-certificates curl git
		sudo install -m 0755 -d /etc/apt/keyrings
		sudo curl -fsSL https://download.docker.com/linux/ubuntu/gpg -o /etc/apt/keyrings/docker.asc
		sudo chmod a+r /etc/apt/keyrings/docker.asc
		echo \
		"deb [arch=$(dpkg --print-architecture) signed-by=/etc/apt/keyrings/docker.asc] https://download.docker.com/linux/ubuntu \
		$(. /etc/os-release && echo "$VERSION_CODENAME") stable" | \
		sudo tee /etc/apt/sources.list.d/docker.list > /dev/null
		sudo apt-get update
		echo "-----------------------------------------------------------------"
		sudo apt-get install docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin -y
		git clone https://gitlab.com/task_deusops/light/normal/1-normal-dockerfile.git
		cd ./1-normal-dockerfile
		docker build -t game2048:0.1 .
		docker run -d -p 80:8080 game2048:0.1
	SHELL
end

